# To reproduce the data needed for IV curve in clamping experiments in associated original paper

import clampExp 
import imp
imp.reload(clampExp)

simFign='FigA1F'
V_clamp=[-60, 120, 120, -50, 80, 10]
paraKeys=['Clamp_parameters/Cai']
paras=[11.6e-5]
outKeys=['outputs/I_CaL']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA2F'
V_clamp=[-80, 100, 100, -70, 80, 10]
paraKeys=['Clamp_parameters/Cai']
paras=[11.6e-5]
outKeys=['outputs/I_CaT']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA3F'
V_clamp=[-90, 50, 50, -50, 80, 10]
paraKeys=['Clamp_parameters/Nai']
paras=[4]
outKeys=['outputs/I_Na']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA4F'
V_clamp=[-80, 8000, 8000, -60, 80, 10]
paraKeys=['Clamp_parameters/Ki']
paras=[140]
outKeys=['outputs/I_K1']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA5F'
V_clamp=[-80, 8000, 8000, -60, 80, 10]
paraKeys=['Clamp_parameters/Ki']
paras=[140]
outKeys=['outputs/I_K2']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA6F'
V_clamp=[-80, 150, 150, -80, 80, 10]
paraKeys=['Clamp_parameters/Ki']
paras=[140]
outKeys=['outputs/I_KA']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA7D'
V_clamp=[-10, 3000, 3000, -20, -130, -10]
paraKeys=['Clamp_parameters/Nai','Clamp_parameters/Ki']
paras=[4,140]
outKeys=['outputs/I_h']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)

simFign='FigA8E'
V_clamp=[0, 100, 100, -60, 50, 10]
paraKeys=['Clamp_parameters/Cai']
paras=[11.6e-5]
outKeys=['outputs/I_Cl']
clampExp.clampExp(simFign, V_clamp,paraKeys,paras,outKeys)



