# To plot the gating variables steady state and time constants in FigA1-FigA8 in associated original paper

import gatePlot
import imp
imp.reload(gatePlot)
'''
simFign=['FigA8B',]
outKeys=['outputs/n_inf',]
for i, isimFign in enumerate(simFign):
   gatePlot.steadyPlot(isimFign, outKeys[i])


simFign=['FigA8Cc2',]
outKeys=['outputs/tau_c2',]
logflags=[1]
sflags=[0]
for i, isimFign in enumerate(simFign):
   gatePlot.tauPlot(isimFign,outKeys[i],logflags[i],sflags[i])
'''
simFign=['FigA1A','FigA1B','FigA2A','FigA2B','FigA3A','FigA3B','FigA4A','FigA4B','FigA5A','FigA5B','FigA6A','FigA6B','FigA7A','FigA8A','FigA8B']
outKeys=['outputs/d_inf', 'outputs/f_inf',
         'outputs/b_inf','outputs/g_inf',
         'outputs/m_inf','outputs/h_inf',
         'outputs/q_inf','outputs/r_inf',
         'outputs/p_inf','outputs/k_inf',
         'outputs/s_inf','outputs/x_inf',
         'outputs/y_inf','outputs/c_inf','outputs/n_inf',]
for i, isimFign in enumerate(simFign):
   gatePlot.steadyPlot(isimFign, outKeys[i])


simFign=['FigA1C','FigA1D','FigA2C','FigA2D','FigA3C','FigA3D','FigA4C','FigA4Dr1','FigA4Dr2','FigA5C','FigA5Dk1','FigA5Dk2','FigA6C','FigA6D','FigA7B','FigA8Cc1','FigA8Cc2']
outKeys=['outputs/tau_d','outputs/tau_f2',
         'outputs/tau_b','outputs/tau_g',
         'outputs/tau_m','outputs/tau_h','outputs/tau_q',
         'outputs/tau_r1','outputs/tau_r2','outputs/tau_p',
         'outputs/tau_k1','outputs/tau_k2','outputs/tau_s',
         'outputs/tau_x','outputs/tau_y',
         'outputs/tau_c1','outputs/tau_c2',]
logflags=[0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,1,1]
sflags=  [0,0,0,0,0,0,0,1,1,0,1,1,0,0,1,0,0]
for i, isimFign in enumerate(simFign):
   gatePlot.tauPlot(isimFign,outKeys[i],logflags[i],sflags[i])


